[vbox-dev] vbox on Fedora 11: my adventures

sean darcy seandarcy2 at gmail.com
Mon Apr 20 15:33:08 PDT 2009


sean darcy wrote:
> I've installed F 11 beta x86_64, and updated it through today - almost 
> the release freeze. This is a new quad q8300 box with 4 gigs. I'd used 
> kvm, but not vbox. The q8300 does not support vmx, so I decided to try 
> vbox.
> 
> 1. The F10 binary won't install:
> 
> rpm -Uvh VirtualBox-2.2.0_45846_fedora9-1.x86_64.rpm
> error: Failed dependencies:
>     libcrypto.so.7()(64bit) is needed by 
> VirtualBox-2.2.0_45846_fedora9-1.x86_64
>     libpython2.5.so.1.0()(64bit) is needed by 
> VirtualBox-2.2.0_45846_fedora9-1.x86_64
> 
> F11 uses python 2.6, and openssl-0.9.8k, so no joy.
> 
> 2.  VirtualBox-2.2.0-OSE.tar.bz2 won't build - it wants gcc <= 4.3, F11 
> has 4.4. Also, it wants the entire 32bit build chain.
> 
> 3. But there's a package review on rpmfusion for a src.rpm for VB-2.1.4:
> https://bugzilla.rpmfusion.org/show_bug.cgi?id=285, which has links to 
> src.rpm and spec files.
> 
> Don't understand why it's at rpmfusion - VB is GPL'd, right?
> 
> 4. The patches from rpmfusion don't apply cleanly against 2.2, but if 
> you mess with them a little, it'll work.
> 
> 5. You need to build the main package: VirtualBox-OSE.spec ; install the 
> VirtualBox-OSE-kmodsrc-2.2.0-0.fc11.x86_64.rpm ; then build the kernel 
> module itself:  VirtualBox-OSE-kmod.spec. There's a switch at the top of 
> the VirtualBox-OSE-kmod.spec files. I think you need to comment it out 
> if you're upgrading or initially installing VB. Leave it in if you're 
> just updating for a new kernel. I think.
> 
> And the rpms you end up with:
> 
> akmod-VirtualBox-OSE-2.2.0-0.fc11.x86_64.rpm
> kmod-VirtualBox-OSE-2.2.0-0.fc11.x86_64.rpm
> kmod-VirtualBox-OSE-2.6.29.1-70.fc11.x86_64-2.2.0-0.fc11.x86_64.rpm
> VirtualBox-OSE-2.2.0-0.fc11.x86_64.rpm
> VirtualBox-OSE-devel-2.2.0-0.fc11.x86_64.rpm
> VirtualBox-OSE-guest-2.2.0-0.fc11.x86_64.rpm
> VirtualBox-OSE-kmodsrc-2.2.0-0.fc11.x86_64.rpm
> xorg-x11-drv-VirtualBox-OSE-2.2.0-0.fc11.x86_64.rpm
> 
> Now to see if it all works.
> 
> sean
> 
> 
Well it doesn't work. I tried installing xp, w 7 32 bit and w 7 64 bit. 
All aborted just at the 24bit vs 32bit color screen. I also tried svn, 
but same result.

Anybody have an F11 rpm for 2.2.0?

sean





More information about the vbox-dev mailing list